﻿using System.Windows;
using ThinkGeo.MapSuite;
using ThinkGeo.MapSuite.Layers;
using ThinkGeo.MapSuite.Styles;
using ThinkGeo.MapSuite.Wpf;
using System.Net;
using System;

namespace _9124
{
    /// <summary>
    /// Interaction logic for MainWindow.xaml
    /// </summary>
    public partial class MainWindow : Window
    {
        public MainWindow()
        {
            InitializeComponent();
        }

        private void map_Loaded(object sender, RoutedEventArgs e)
        {
            map.MapUnit = GeographyUnit.DecimalDegree;

            LayerOverlay layerOverlay = new LayerOverlay();
            layerOverlay.TileType = TileType.SingleTile;
            WmsRasterLayer wmsLayer = new WmsRasterLayer(new Uri("http://howdoiwms.thinkgeo.com/WmsServer.aspx"));
            wmsLayer.SendingWebRequest += WmsLayer_SendingWebRequest;
            wmsLayer.ActiveLayerNames.Add("COUNTRIES02");
            wmsLayer.ActiveStyleNames.Add("Simple");
            wmsLayer.Crs = "EPSG:4326";
            wmsLayer.OutputFormat = "image/png";
            layerOverlay.Layers.Add(wmsLayer);
            map.Overlays.Add(layerOverlay);

            wmsLayer.Open();
            map.CurrentExtent = wmsLayer.GetBoundingBox();
            map.Refresh();
        }

        private void WmsLayer_SendingWebRequest(object sender, SendingWebRequestEventArgs e)
        {
            System.Diagnostics.Debug.WriteLine(e.WebRequest.RequestUri.ToString());
        }
    }
}
